package com.training.controller;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

import com.training.model.User;


@Controller
public class UserController {
	
	@RequestMapping(value="/user", method = RequestMethod.POST)
	public ModelAndView create(User user) {
		System.out.println("=== begin to get user information ===");
		System.out.println("=== user name: " + user.getName() + "===");
		System.out.println("=== user address: " + user.getAddress() + "===");
		ModelAndView mv = new ModelAndView("user/success");
		mv.addObject("user", user);
		return mv;
	}
	
	@RequestMapping(value="/user", method = RequestMethod.GET)
	public String add(User user) {		
		return "user/add";
	}

}
